dpkg-gencontrol(1)

NAZWA
dpkg-gencontrol - tworzy pliki kontrolne Debiana

SKŁADNIA
dpkg-gencontrol [opcja...]

OPIS
dpkg-gencontrol czyta informacje z rozpakowanego drzewa źródeł pakietu Debiana i generuje plik kontrolny pakietu binarnego (domyślnie jest to debian/tmp/DEBIAN/control), upraszczając podczas tego procesu pola dotyczące zależności.

Thus Pre-Depends, Depends, Recommends and Suggests are simplified in this order by removing dependencies which are known to be true according to the stronger dependencies already parsed. It will also remove any self-dependency (in fact it will remove any dependency which evaluates to true given the current version of the package as installed). Logically it keeps the intersection of multiple dependencies on the same package. The order of dependencies is preserved as best as possible: if any dependency must be discarded due to another dependency appearing further in the field, the superseding dependency will take the place of the discarded one.

The other relation fields (Enhances, Conflicts, Breaks, Replaces and Provides) are also simplified individually by computing the union of the various dependencies when a package is listed multiple times in the field.

dpkg-gencontrol dodaje ponadto wpis dotyczący pakietu binarnego do debian/files.

OPCJE

-vwersja
    Ustawia numer wersji generowanego pakietu binarnego.

-Vnazwa=wartość
    Ustawia zmienną podstawienia wyjścia. Szczegółowy opis podstawiania zmiennych wyjściowych znajduje się w deb-substvars(5).

-Tplik-zmiennych-podst
    Read substitution variables in substvars-file; the default is debian/substvars. This option can be used multiple times to read substitution variables from multiple files (since dpkg 1.15.6).

-Dpole=wartość
    Nadpisuje lub dodaje wyjściowe pole pliku kontrolnego.

-Upole
    Usuwa wyjściowe pole pliku kontrolnego.

-cplik-kontrolny
    Określa główny plik kontrolny, z którego będą czytane informacje. Domyślnie jest to debian/control.

-lplik-dziennika-zmian
    Określa dziennik zmian, z którego będą czytane informacje. Domyślnym plikiem jest debian/changelog.

-fplik-z-listą-plików
    Czyta lub zapisuje listę plików wydania do pliku podanego jako argument tej opcji, zamiast do pliku debian/files.

-Fformat-dziennika-zmian
    Określa format dziennika zmian. Więcej informacji o alternatywnych formatach można znaleźć w dpkg-parsechangelog(1).

-ppakiet
    Generuje informacje o pakiecie binarnym pakiet. Jeżeli plik kontrolny pakietu źródłowego wymienia tylko jeden pakiet binarny, to opcję tę można pominąć, w przeciwnym wypadku wymagane jest wskazanie, dla którego pakietu binarnego wygenerować informacje.

-nnazwa_pliku
    Określa, że nazwą pliku pakietu będzie nazwa_pliku zamiast normalnej nazwy pliku w postaci pakiet_wersja_architektura.deb

-is, -ip, -isp
    These options are ignored for compatibility with older versions of the dpkg build scripts but are now deprecated. Previously they were used to tell dpkg-gencontrol to include the Section and Priority fields in the control file. This is now the default behaviour. If you want to get the old behaviour you can use the -U option to delete the fields from the control file.

-Pkatalog-budowania-pakietu
    Mówi programowi dpkg-source, że pakiet jest budowany w katalogu-budowania-pakietu, zamiast w debian/tmp. Katalog ten jest używany do znalezienia domyślnych wartości zmiennej podstawiania Installed-Size i pola w pliku kontrolnym o tej samej nazwie (przy użyciu du) oraz domyślnej lokalizacji pliku wynikowego.

-O[filename]
    Print the control file to standard output (or filename if specified, since dpkg 1.17.2), rather than to debian/tmp/DEBIAN/control (or package-build-dir/DEBIAN/control if -P was used).

-?, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

PLIKI

debian/control
    Główny plik kontrolny, zawierający niezależne od wersji informacje zarówno o pakiecie źródłowym, jak i o pakietach binarnych, które są tworzone z pakietu źródłowego.

debian/files
    Lista wygenerowanych plików, które są częścią przygotowywanego wydania. dpkg-gencontrol zapisuje tutaj przypuszczalne nazwy plików-pakietów binarnych generowanych z pliku kontrolnego.

ZOBACZ TAKŻE
deb-substvars(5), deb-src-control(5), deb-changelog(5), deb-control(5).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012